import { store } from "../store";
import {Router, Route, Link, Redirect, Switch} from 'react-router-dom';
import { AppstoreOutlined, MenuUnfoldOutlined, MenuFoldOutlined, PieChartOutlined, DesktopOutlined, ContainerOutlined, MailOutlined } from '@ant-design/icons';
import {Provider, connect} from 'react-redux';
import { Button, Menu  } from 'antd';
import { useEffect, useState } from "react";
import React from 'react';
import { jwtDecode } from "../utils";

const { SubMenu } = Menu;

const CategoryListItem = ({_id, name, auth}) => {

  return (
    < > 
      <Menu.Item icon={<PieChartOutlined />}><Link to={`/category/${_id}`}>{name} </Link></Menu.Item>
    </>
    
     
  )  
  

}

const CategoryList = ({cats, auth}) =>{console.log('cats', cats)
 
  return (
    <div >
     
        {cats.map((item) => <CategoryListItem key={item._id} {...item} auth={auth} />)}
     
    </div>
  ) 
}

const mapStateToProps = state => ({
  cats:state.promise.rootCats?.payload || [],
  auth: state.auth,
})

const CCategoryList = connect(mapStateToProps)(CategoryList)

export default CCategoryList;
