import { useEffect, useState } from "react";
import { Card, Image, Button,  Alert } from 'antd';
import { connect } from 'react-redux';
import { backURL } from "../api";
import { actionCartAdd } from "../action";
import {Router, Route, Link, Redirect, Switch, useHistory} from 'react-router-dom';

const ContentSearch = ({value, onAdd}) => { console.log('value', value)
  const [good, setGood] = useState(value); 
  let history = useHistory();

  useEffect(() => {
    if(value.length) {
      setGood(value[0]);
    }
  }, [value])

  const onClose = (e) => {
    console.log(e, 'I was closed.');
    history.push('/');
    
  }

  return (
    <> { value.length?
        <Card title={good.name} style={{ width: 350 }} hoverable>
          {good.images && good.images[0] && good.images[0].url && <Image width={300} src={backURL + '/' + good.images[0].url} />}
          <p>{good.description}</p>
          <p>{good.price} грн</p>
          <Button onClick={() => onAdd({
                                        _id: good._id, 
                                        name: good.name, 
                                        price: good.price,
                                        images: good.images
                                      })}>Купить</Button>
        </Card>
        :
        <>
         <Alert
            message="Товара с таким названием не существует"
            // description="Error Description Error Description Error Description Error Description Error Description Error Description"
            type="error"
            closable
            onClose={onClose}
          />
        </>
        }
    </>
  )
}

const mapStateToProps = (state) => ({
  value: state.promise.searchGood?.payload || [],
})
const mapDispatchToProps = {
  onAdd: actionCartAdd,
}

const GoodSearch = connect(mapStateToProps, mapDispatchToProps)(ContentSearch);

export default GoodSearch;