import {Router, Route, Link, Redirect, Switch} from 'react-router-dom';
import { SignIn, RegisterIn, ListOrders, EmptyContent, Page404} from '../components';
import { PageBasket, CPageCategory, CreatePageGood, PageSearch, PageCategoryAdmin}  from '../pages';
import { CRoute  } from './index';

const RouteSite = () => {
  return (
    < >
     
      {/* <Redirect from="/main" to='/' /> */}
      <CRoute roles={["anon", "user", "admin"]} path="/" component={EmptyContent} exact />
      <CRoute roles={["anon", "user", "admin"]} path ="/login" component = {SignIn}/>
      <CRoute roles={["anon"]} path = "/registration" component = {RegisterIn} />
      <CRoute roles={["anon", "user", "admin"]} path = "/category/:_id" component = {CPageCategory}/>
      <CRoute roles={["anon", "user", "admin"]} path = "/good/:_id" component = {CreatePageGood}/>
      <CRoute roles={["anon", "user", "admin"]} path = "/basket" component={PageBasket}/> 
      <CRoute roles={["user", "admin"]} path = "/listOrders" component={ListOrders}/>
      <CRoute roles={["anon", "user", "admin"]} path = "/search/:value" component = {PageSearch}/>
      <CRoute roles={["admin"]} path = "/admin/:_id" component = {PageCategoryAdmin}/>
      {/* <CRoute path = "*" component={Page404}/>  */}
      

    </>
  )
}

export default RouteSite;